---
name: "rte_mtr_meter_profile"
section: "3"
platform: "linux"
package: "dpdk-doc"
version: "24.11.4-0+deb13u1"
release: "Debian 13 (Trixie)"
platforms: ["linux"]
url: "https://new.carta.tech/rte_mtr_meter_profile"
---

# rte\_mtr\_meter\_profile(3)

## NAME

rte\_mtr\_meter\_profile

## SYNOPSIS

`#include <rte_mtr.h>`

### Data Fields

enum **rte\_mtr\_algorithm** **alg**\
 int **packet\_mode**\

## Detailed Description

Meter profile

Definition at line **128** of file **rte\_mtr.h**.

## Field Documentation

### enum rte\_mtr\_algorithm alg

Traffic metering algorithm.

Definition at line **130** of file **rte\_mtr.h**.

### uint64\_t cir

Committed Information Rate (CIR) (bytes per second or packets per second).

Definition at line **139** of file **rte\_mtr.h**.

### uint64\_t cbs

Committed Burst Size (CBS) (bytes or packets).

Definition at line **142** of file **rte\_mtr.h**.

### uint64\_t ebs

Excess Burst Size (EBS) (bytes or packets).

Definition at line **145** of file **rte\_mtr.h**.

### struct { ... } srtcm\_rfc2697

Items only valid when *alg* is set to srTCM - RFC 2697.

### uint64\_t pir

Peak Information Rate (PIR) (bytes per second or packets per second).

Definition at line **160** of file **rte\_mtr.h**.

### uint64\_t pbs

Peak Burst Size (PBS) (bytes or packets).

Definition at line **166** of file **rte\_mtr.h**.

### struct { ... } trtcm\_rfc2698

Items only valid when *alg* is set to trTCM - RFC 2698.

### uint64\_t eir

Excess Information Rate (EIR) (bytes per second or packets per second).

Definition at line **181** of file **rte\_mtr.h**.

### struct { ... } trtcm\_rfc4115

Items only valid when *alg* is set to trTCM - RFC 4115.

### int packet\_mode

When zero, the byte mode is enabled for the current profile, so the *rate* and *size* fields are specified in bytes per second and bytes, respectively. When non-zero, the packet mode is enabled for the current profile, so the *rate* and *size* fields are specified in packets per second and packets, respectively.

Definition at line **199** of file **rte\_mtr.h**.

## Author

Generated automatically by Doxygen for DPDK from the source code.
